Subject: RE: Label Spaces and Uniqueness

From: Shahram Davari <[email-masked]>
Date: Tue, 10 Jul 2001 12:53:48 -0700

Hi,
 
Also, who needs more than 1 million labels per interface?
 
-Shahram

-----Original Message-----
From: Don Fedyk [mailto:[email-masked]]
Sent: Tuesday, July 10, 2001 3:41 PM
To: Eric Gray; [email-masked]; David Charlap
Cc: [email-masked]
Subject: RE: Label Spaces and Uniqueness

Hi 

So what I think I heard is either: 

Standard says: All labels from the same space. No problems. 

But in practice I thought VPNs used: 

Assume per/interface outer labels, the next inner stacked label 
from per node space. PHP to be avoided adjacent to boxes doing this. 

In the end it is a local decision of the box. No other box 
cares what algorithm the allocating box is using. 

So should the standard be updated? 

Don

---

From: Eric Gray <[email-masked]>
Date: Tue, 10 Jul 2001 16:43:53 -0400

Shahram,

    While the point you make about needing more than a million labels per
interface
is a good one, I do not believe it is particularly relevant in this discussion.
Oddly enough, many of the same issues with supporting the 'per-platform' label
space in ATM apply as well when using MPLS based forwarding hardware in a
distributed
forwarding system.  ATM has an upper bound on the number of per-interface
'labels'
that is much higher than a million, and yet it is a generally assumed that an
ATM LSR
will not support the per-platform label space (at least for ATM VPI/VCI
'labels').

    Issues with dancing lightly around labels that have already been distributed
in
association with MPLS forwarding at forwarding hardware elsewhere in a system
are
entertaining, to say the least. Hence, bluntly asserting that labels cannot be
con-
sidered in a context of how they were received (effectively asserting
per-platform
label space) is a 'simplification' that may add its own complexities.

    As such, I believe that the decision of whether or not to consider labels in
some
context is one that should be left as an engineering trade-off for implementers
to
make - in as much as it may be considered of local significance only.

    Don't you agree?

--
Eric Gray

You wrote:

> Hi,Also, who needs more than 1 million labels per interface?-Shahram
>